Subject: bug#61703: 29.0.60; Emacs crashes on C-x 8 RET

From: Eli Zaretskii <[email-masked]>
Date: Wed, 22 Feb 2023 16:08:02 +0200

> From: Kai Ma <[email-masked]>
> Date: Wed, 22 Feb 2023 20:59:54 +0800
> Cc: [email-masked]
> 
> 1. Create a fresh Emacs instance.
> 
> 2. Press C-x 8 RET before doing anything else.
>    If vertico-posframe is displayed successfully at least once (e.g. using M-x)
>    then Emacs won’t crash from insert-char anymore.
> 
> 3. Emacs crashes before the child frame appears, so I don’t have a 
>    chance to type anything.
> 
> 
> There is a minimal init.el with which I can reproduce this crash:
> 
>   (package-install 'vertico)
>   (package-install 'vertico-posframe)
> 
>   (use-package vertico
>     :hook (after-init . vertico-mode))
> 
>   (use-package vertico-posframe
>     :hook (vertico-mode . vertico-posframe-mode))

Thanks.  Unfortunately, it doesn't crash for me, after doing these
steps.

Any other steps I could try to increase the probability of a crash?

Does this happen with any font you use as the default font?